> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.autovalidate.md).

# AutoValidate

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines how a control validates its data when it loses user input focus.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum AutoValidate : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum AutoValidate As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                         | Description                                                                                                                                                                                                                                           |
| ---------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Disable**                  | Implicit validation will not occur. Setting this value will not interfere with explicit calls to [Validate](/api/wisej.web/containers/containercontrol.md#validate) or [ValidateChildren](/api/wisej.web/general/control.md#validatechildren).        |
| **EnableAllowFocusChange**   | Implicit validation occurs, but if validation fails, focus will still change to the new control. If validation fails, the [Validated](/api/wisej.web/general/control.md#validated) event will not fire.                                               |
| **EnablePreventFocusChange** | Implicit validation occurs when the control loses focus. If validation fails, the [Validated](/api/wisej.web/general/control.md#validated) event will not fire.                                                                                       |
| **Inherit**                  | The control inherits its [AutoValidate](/api/wisej.web/enumerations/wisej.web.autovalidate.md) behavior from its container (such as a form or another control). If there is no container control, it defaults to [EnablePreventFocusChange](#fields). |

## Used By

| Name                                                                                        | Description                                                                                         |
| ------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [Form.AutoValidate](/api/wisej.web/containers/form.md#autovalidate)                         | Returns or sets how the control performs validation when the user changes focus to another control. |
| [Page.AutoValidate](/api/wisej.web/containers/wisej.web.page.md#autovalidate)               | Returns or sets how the control performs validation when the user changes focus to another control. |
| [UserControl.AutoValidate](/api/wisej.web/containers/wisej.web.usercontrol.md#autovalidate) | Returns or sets how the control performs validation when the user changes focus to another control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.autovalidate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
